package cn.freemud.manager;

import cn.freemud.entities.db.Partner;
import cn.freemud.entities.db.db2.RefundOverOrder;
import cn.freemud.manager.dao.PartnerDao;
import cn.freemud.manager.db2.dao.RefundOverOrderDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 商户小程序manager
 *
 * @author liming.guo
 * @date 2018/05/10
 */
@Component
public class RefundOverOrderManager {

    @Autowired
    private RefundOverOrderDao refundOverOrderDao;

    public List<RefundOverOrder> selectBatch(Integer num) {
        return refundOverOrderDao.selectBatch(num);
    }

    public void insert(RefundOverOrder refundOverOrder) {
        refundOverOrderDao.insert(refundOverOrder);
    }

    public void update(RefundOverOrder refundOverOrder) {
        refundOverOrderDao.update(refundOverOrder);
    }

}
